Subject: Re: Page allocator order-0 optimizations merged

From: zhong jiang <[email-masked]>
Date: Tue, 11 Apr 2017 09:54:39 +0800

On 2017/4/10 23:10, Mel Gorman wrote:
> On Mon, Apr 10, 2017 at 10:31:48PM +0800, zhong jiang wrote:
>> Hi, Mel
>>
>>      The patch I had test on arm64. I find the great degradation. I test it by micro-bench.
>>     The patrly data is as following.  and it is stable.  That stands for the allocate and free time. 
>>     
> What type of allocations is the benchmark doing? In particular, what context
> is the microbenchmark allocating from? Lastly, how did you isolate the
> patch, did you test two specific commits in mainline or are you comparing
> 4.10 with 4.11-rcX?
>
 Hi, Mel

   benchmark adopt  0 order allocation.  just insmod module  allocate  memory by alloc_pages.
   it is not interrupt context.  I test the patch in linux 4.1 stable. In x86 , it have 10% improve.
   but in arm64,  it have great degradation.  

  Thanks
  zhongjiang